<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
    var procInsId = $("#procInsId").val();
	$('#projectTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	           showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）     
               cache: false,    
               //是否显示分页（*）  
               pagination: true,
                //排序方式 
               sortOrder: "asc",  
               //初始化加载第一页，默认第一页
               pageNumber:1,   
               //每页的记录行数（*）   
               pageSize: 5,
               //可供选择的每页的行数（*）    
               pageList: [5,10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据  
               url: "${ctx}/sg/managementCenter/projectPlanArrage/disList2ArragePlanProject?procInsId="+procInsId,
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',   
               ////查询参数,每次调用是会带上这个参数，可自定义                         
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
               },
              
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
                   checkbox: true
               },
			{
		        field: 'projectNumber',
		        title: '项目定义号',
                width:160

            }
                   ,{
                       field: 'projectName',
                       title: '项目名称',
                       width:110

                   }
                   ,{
                       field: 'projectPowerRange',
                       title: '停电范围',
                       width:110

                   }
                   ,{
                       field: 'projectPowerOut',
                       title: '是否停电/带电',
                       width:110

                   }
                   ,{
                       field: 'projectMonthDate',
                       title: '月份',
                       width:110,
                       sortName: 'beginBeginDate'

                   }
                   ,{
                       field: 'projectDate',
                       title: '具体时间',
                       width:120,
                       sortName: 'endDate'

                   }
		     ]
		
		});


	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#projectTable').bootstrapTable("toggleView");
		}
	  
	  $('#projectTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#projectTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#projectTable').bootstrapTable('getSelections').length!=1);
        });
		    
	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#projectTable').bootstrapTable('refresh');
		});
	 
	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#projectTable').bootstrapTable('refresh');
		});
        $("#export").click(function(){//导出Excel文件
            var procInsId1 = $("#procInsId").val();
            jp.downloadFile('${ctx}/sg/managementCenter/projectPlanArrage/export?procInsId='+procInsId1);
        });
		$('#beginBeginDate').datetimepicker({
			 format: "YYYY-MM"
		});
		$('#endBeginDate').datetimepicker({
			 format: "YYYY-MM-DD"
		});
		$('#endDate').datetimepicker({
			 format: "YYYY-MM-DD"
		});
		
	});
		
  function getIdSelections() {
        return $.map($("#projectTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
    //刷新列表
  function refresh(){
  	$('#projectTable').bootstrapTable('refresh');
  }
  function runListSubmit() {
      jp.prompt("审核通过", function (message) {
          jp.post("${ctx}/sg/managementCenter/projectPlanArrage/disList2RunProInsId",
              {
                  "taskId":"${projectActProclnsAss.act.taskId}",
                  "taskName":"${projectActProclnsAss.act.taskName}",
                  "taskDefKey":"${projectActProclnsAss.act.taskDefKey}",
                  "procInsId":"${projectActProclnsAss.act.procInsId}",
                  "procDefId":"${projectActProclnsAss.act.procDefId}",
                  "flag":"yes",
                  "comment":window.encodeURI(message)
              },
              function (data) {
                  if(data.success){
                      jp.success(data.msg);
                      jp.go("${ctx}/act/task/todo")
                  }else {
                      jp.error(data.msg);
                  }
              })
      });
  }

</script>